package text;
import java.util.*;
import java.io.IOException;
import java.io.Writer;
import java.io.StringWriter;

public class Composition implements Component {
	private List<Component> components = new ArrayList<Component>();

	@Override
	public String getHTML() {
		Writer out = new StringWriter();
		for (Component c : components) {
			try {
				out.write(c.getHTML());
			} catch (IOException e) {
			}
		}
		return out.toString();
	}

	@Override
	public void add(Component c) {
		components.add(c);
	}

	@Override
	public boolean hasChildren() {
		return ! components.isEmpty();
	}

	@Override
	public Iterable<Component> getChildren() {
		return components;
	}

}
