package text;

public class StyleDecorator extends AbstractComponentWithoutChildren {
	private Component component;
	private Style style;
	
	public StyleDecorator(Component component, Style style) {
		this.component = component;
		this.style = style;
	}

	@Override
	public String getHTML() {
		String tag = null;
		switch (style) {
		case EMPH:
			tag = "em";
			break;
		case BOLD:
			tag = "b";
			break;
		}
		return String.format("<%s>%s</%s>",tag, component.getHTML(), tag);
	}
}
