import formular.*;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class App {
	public static void main(String[] args) {
		FormularCenter c = new FormularCenter("Klaus", 17);
		c.addTemplate(Anforderung.class);
		c.addTemplate(Urlaub.class);
		
		SimpleDateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd");
		Formular[] forms = new Formular[4];
		
		try {
			forms[0] = c.fromTemplate("formular.Urlaub");
			Urlaub u = (Urlaub) forms[0];
			u.setStart(dateformat.parse("2013-05-03"));
			u.setEnde(dateformat.parse("2013-05-07"));
			forms[1] = forms[0].copy();
			u = (Urlaub) forms[1];
			u.setStart(dateformat.parse("2013-08-10"));
			u.setEnde(dateformat.parse("2013-08-24"));
		} catch (ParseException e) {
			e.printStackTrace();
		}

		forms[2] = c.fromTemplate("formular.Anforderung");
		Anforderung a = (Anforderung) forms[2];
		AnforderungPosition pos = new AnforderungPosition();
		pos.setAnzahl(2);
		pos.setArtikel("Bleistift");
		a.getPositionen().add(pos);
		forms[3] = forms[2].copy();

		for (Formular form : forms) {
			System.out.println(form);
		}
	}
}
