package formular;
import java.util.*;

public class FormularCenter {
	private Collection<Formular> forms = new ArrayList<Formular>();
	private String name;
	private int personalnr;
	
	
	public FormularCenter(String name, int personalnr) {
		this.name = name;
		this.personalnr = personalnr;
	}
	
	public void addTemplate(Class<? extends AbstractFormular> formClass) {
		try {
			Formular form = (Formular) formClass.getConstructor().newInstance();
			form.setName(name);
			form.setPersonalnr(personalnr);
			forms.add(form);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public Formular fromTemplate(String className) {
		Formular clonedForm = null;
		for (Formular f : forms) {
			if (f.getClass().getName().equals(className)) {
				clonedForm = f.copy();
				break;
			}
		}
		return clonedForm;
	}
}
